Walking courier profile creation

Walking courier profile creation

Request

POST

https://fleet-api.taxi.yandex.net/v2/parks/contractors/walking-courier-profile

Headers

Name

Description

X-API-Key

Type: string

API-key

Min length: 1

Example: <API key>

X-Client-ID

Type: string

Client ID

Min length: 1

Example: <Client ID>

X-Idempotency-Token

Type: string

Idempotent request token. Must contain only printable ASCII characters

Min length: 16

Max length: 64

Example: c56fa6537e5a4adbbce6ef3593210fb9

X-Park-ID

Type: string

Partner ID

Example: ee6f33c4562b4e1f8646d157bd70b2c4

Body

application/json
{
  "full_name": {
    "first_name": "Ivan",
    "middle_name": "Ivanovich",
    "last_name": "Ivanov"
  },
  "phone": "+79999999999",
  "birth_date": "1970-01-01",
  "work_rule_id": "bc43tre6ba054dfdb7143ckfgvcby63e",
  "city": "Москва",
  "registration_country_code": "RU"
}

Name

Description

birth_date

Type: Date

Date without time zone in ISO 8601 format

Example: 1970-01-01

full_name

Type: FullName

Driver's full name

Example
{
  "first_name": "Ivan",
  "middle_name": "Ivanovich",
  "last_name": "Ivanov"
}

phone

Type: Phone

Phone number

Pattern: ^\+\d{1,15}$

Example: +79999999999

work_rule_id

Type: WorkRuleId

Work rule ID

Example: bc43tre6ba054dfdb7143ckfgvcby63e

city

Type: City

City

Min length: 1

Max length: 50

Example: Москва

registration_country_code

Type: RegistrationCountryCode

Citizenship (country code)

Min length: 1

Max length: 16

Example: RU

FirstName

Name

Type: string

Example: Ivan

MiddleName

Middle name

Type: string

Example: Ivanovich

LastName

Last name

Type: string

Example: Ivanov

FullName

Driver's full name

Name

Description

first_name

Type: FirstName

Name

Example: Ivan

last_name

Type: LastName

Last name

Example: Ivanov

middle_name

Type: MiddleName

Middle name

Example: Ivanovich

Example
{
  "first_name": "Ivan",
  "middle_name": "Ivanovich",
  "last_name": "Ivanov"
}

Phone

Phone number

Type: string

Pattern: ^\+\d{1,15}$

Example: +79999999999

Date

Date without time zone in ISO 8601 format

Type: string

Example: 1970-01-01

WorkRuleId

Work rule ID

Type: string

Example: bc43tre6ba054dfdb7143ckfgvcby63e

City

City

Type: string

Min length: 1

Max length: 50

Example: Москва

RegistrationCountryCode

Citizenship (country code)

Type: string

Min length: 1

Max length: 16

Example: RU

Responses

200 OK

Creating a driver profile

Body

application/json
{
  "contractor_profile_id": "2111ade6gk054dfdb9iu8c8cc9460mks"
}

Name

Description

contractor_profile_id

Type: ContractorProfileId

Driver's profile ID

Example: 2111ade6gk054dfdb9iu8c8cc9460mks

ContractorProfileId

Driver's profile ID

Type: string

Example: 2111ade6gk054dfdb9iu8c8cc9460mks

400 Bad Request

Invalid request parameters

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

429 Too Many Requests

Limit of requests was exceeded

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

500 Internal Server Error

Internal server error

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example